<template>
  <v-item-group mandatory>
    <div class="flex gap-4">
      <v-item
        v-for="item in items"
        :key="item?.value"
        v-slot="{ isSelected, toggle }"
        :value="item?.value"
      >
        <v-card
          link
          color="primary"
          variant="outlined"
          :disabled="item?.disabled"
          class="border border-opacity-100"
          :class="isSelected ? 'border-primary bgOpacity' : 'border-corderColor'"
          @click="cardClicked(toggle)"
        >
          <template #default>
            <div class="flex items-center gap-2 p-4 rounded">
              <div class="flex w-[283px] items-center gap-2">
                <div>
                  <Icon
                    :icon="item?.icon"
                    height="40"
                    width="40"
                  />
                </div>
  
                <div class="flex flex-col items-start">
                  <svn-pro-text bodyLarge medium>
                    {{ item?.title }}
                  </svn-pro-text>
  
                  <svn-pro-text caption color="onSurfaceVariant">
                    {{ item?.subtitle }}
                  </svn-pro-text>
                </div>
              </div>
  
              <div class="flex items-start self-stretch">
                <svn-pro-radio-button :value="isSelected" color="primary" base-color="onSurfaceVariant" />
              </div>
            </div>
          </template>
        </v-card>
      </v-item>
    </div>
  </v-item-group>
</template>

<script setup>
import { Icon } from "@iconify/vue";
import SvnProText from "../../components/styles/SvnProText.vue";
import SvnProRadioButton from "../../components/input/SvnProRadioButton.vue";

const props = defineProps({
  items: {
    type: Array,
    default: () => [],
  },
})

const emits = defineEmits(['item-clicked'])

const cardClicked = (toggle) => {
  toggle()
  emits('item-clicked')
}
</script>

<style scoped>
.bgOpacity {
  background: rgba(62, 82, 202, 0.16);
}
</style>